#
# spec file for package rubygem-sass
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sass
Version:        3.4.18
Release:        6.3
%define mod_name sass
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://sass-lang.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A powerful but elegant CSS compiler that makes CSS fun again
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Sass makes CSS fun again. Sass is an extension of CSS3, adding
nested rules, variables, mixins, selector inheritance, and more.
It's translated to well-formatted, standard CSS using the
command line tool or a web-framework plugin.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Aug 26 2015 coolo@suse.com
- updated to version 3.4.18
  see installed CHANGELOG.md
* Sat Aug 22 2015 coolo@suse.com
- updated to version 3.4.17
  see installed CHANGELOG.md
* Sat Jul 11 2015 coolo@suse.com
- updated to version 3.4.16
  see installed CHANGELOG.md
* Tue Jun 23 2015 coolo@suse.com
- updated to version 3.4.15
  see installed CHANGELOG.md
* Thu May 28 2015 coolo@suse.com
- updated to version 3.4.14
  see installed CHANGELOG.md
* Fri Feb 27 2015 coolo@suse.com
- updated to version 3.4.13
* Sat Feb 14 2015 coolo@suse.com
- updated to version 3.4.12
* Mon Feb  9 2015 coolo@suse.com
- updated to version 3.4.11, no changelog
* Tue Oct 21 2014 coolo@suse.com
- updated to version 3.4.6, no changelog
* Wed Oct 15 2014 coolo@suse.com
- updated to version 3.4.5
  see https://github.com/guard/listen/releases
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 3.3.7
  see https://github.com/guard/listen/releases
* Mon Apr 21 2014 coolo@suse.com
- updated to version 3.3.5
  see https://github.com/guard/listen/releases
* Sun Mar 23 2014 coolo@suse.com
- updated to version 3.3.4
  see https://github.com/guard/listen/releases
* Tue Mar 18 2014 coolo@suse.com
- updated to version 3.3.3
  CHANGELOG moved to Github [releases](https://github.com/guard/listen/releases) page
* Thu Feb  6 2014 coolo@suse.com
- updated to version 3.2.14
  (still no update for changelog)
* Sun Jan  5 2014 coolo@suse.com
- updated to version 3.2.13
  (forgot to update http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html)
* Thu Oct 10 2013 coolo@suse.com
- updated to version 3.2.12
  Add a couple missing requires, fixing some load errors, especially when using the command-line interface.
  Tune up some heuristics for eliminating redundant generated selectors. This will prevent some selector elimination in cases where multi-layered @extend is being used and where it seems intuitively like selectors shouldn’t be eliminated.
  Fix @extend’s semantics with respect to pseudo-elements. They are no longer treated identically to pseudo-classes.
  A more understandable error is now provided when the -E option is passed to the Sass command line in ruby 1.8
  Fixed a bug in the output of lists containing unary plus or minus operations during sass <=> scss conversion.
  Avoid the IE7 content: counter bug with content: counters as well.
  Fix some thread-safety issues.
* Tue Jul 30 2013 coolo@suse.com
- updated to version 3.2.10
  (they forgot to update SASS_CHANGLOG.html)
* Mon May 13 2013 coolo@suse.com
- updated to version 3.2.9
  - [#88] Update wdm dependency. (fixed by [@mrbinky3000][])
  - [#78] Depend on latest rb-inotify. (fixed by [@mbj][])
* Wed Apr 24 2013 coolo@suse.com
- updated to version 3.2.8
  see http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html
* Sat Mar 23 2013 coolo@suse.com
- use update-alternatives
* Mon Mar 18 2013 coolo@suse.com
- updated to version 3.2.7
  see http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html
* Sun Mar  3 2013 coolo@suse.com
- updated to version 3.2.6
* Tue Jan  8 2013 coolo@suse.com
- updated to version 3.2.5
  Fix a bug where bogus @extend warnings were being generated.
  Fix an @import bug on Windows. Thanks to Darryl Miles.
  Ruby 2.0.0-preview compatibility. Thanks to Eric Saxby.
  Fix incorrect line numbering when using DOS line endings with the indented syntax.
* Sat Dec 22 2012 coolo@suse.com
- updated to version 3.2.4
  - Fix imports from .jar files in JRuby. Thanks to Alex Hvostov.
  - Allow comments within @import statements in SCSS.
  - Fix a parsing performance bug where long decimals would occasionally take many minutes to parse.
* Mon Nov 12 2012 coolo@suse.com
- updated to version 3.2.3
  * sass --watch no longer crashs when a file in a watched directory is deleted.
  * Allow @extend within bubbling nodes such as @media.
  * Fix various JRuby incompatibilities and test failures.
  * Work around a performance bug that arises from using @extend with deeply-nested selectors.
* Sat Nov  3 2012 coolo@suse.com
- updated to version 3.2.2
  see http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html
* Sun Aug 26 2012 coolo@suse.com
- updated to version 3.2.1
  * Fix a buggy interaction with Pow and Capybara that caused EOFErrors.
* Sat Aug 11 2012 coolo@suse.com
- updated to version 3.2.0
  see http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html
* Fri Jul  6 2012 coolo@suse.com
- update to 3.1.20
* Sat May 12 2012 coolo@suse.com
- update to 3.1.18
  * Ruby 2.0 compatibility. Thanks to Jeremy Kemper.
  * Deprecate the use of @extend within directives such as @media.
    This has never worked correctly, and now it’s officially deprecated.
    It will be an error in 3.2.
* Sun May  6 2012 coolo@suse.com
- update to 3.1.17
  Don’t crash when calling #inspect on an internal Sass tree object in Ruby 1.9.
  Fix some bugs in sass --watch introduced in 3.1.16. Thanks to Maher Sallam.
  Support bare interpolation in the value portion of attribute selectors (e.g. [name=#{$value}]).
  Support keyword arguments for the invert() function.
  Handle backslash-separated paths better on Windows.
  Fix rake install on Ruby 1.9.
  Properly convert nested @if statements with sass-convert.
* Tue Apr 24 2012 coolo@suse.com
- update to 3.1.16
    Fix some bugs in sass-convert selector parsing when converting from CSS.
    Substantially improve compilation performance on Ruby 1.8.
    Support the @-moz-document directive’s non-standard url-prefix and domain function syntax.
    Support the @supports directive.
    Fix a performance issue when using /*! */ comments with the Rails asset pipeline.
    Support -moz-element.
    Properly handle empty lists in sass-convert.
    Move from FSSM to Listen for file-system monitoring.
* Tue Apr 10 2012 coolo@suse.com
- update to 3.1.15, see
  http://sass-lang.com/docs/yardoc/file.SASS_CHANGELOG.html
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Oct 17 2011 fcastelli@suse.com
- update to 3.1.10
* Fri Aug 26 2011 fcastelli@novell.com
- update to 3.1.7
- add 'Provides' macros
* Thu Jul 21 2011 fcastelli@novell.com
- updated to 3.1.4
* Fri Jun 10 2011 aduffeck@novell.com
- initial version
